Bug 176966 - PATCH: minor fix for hplip initscript
Summary: PATCH: minor fix for hplip initscript
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-04 20:18 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.9.7-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-05 11:22:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATCH fixing hplip initscript (712 bytes, patch)
2006-01-04 20:18 UTC, Hans de Goede
no flags Details | Diff

Description Hans de Goede 2006-01-04 20:18:53 UTC
While doing some switching between runlevel 3 and 5 I noticed that
/etc/init.d/hplip has a small problem:

It doesn't create /var/lock/subsys/hplip without this /etc/rc.d/rc will
try to start it again when switching runlevels even if its already running.

The attached patch fixes this, you should probably change the path to the
initscript in the patch.

You might want to upstream this as I believe the initscript is currently
unmodified from upstream.

Comment 1 Hans de Goede 2006-01-04 20:18:53 UTC
Created attachment 122777 [details]
PATCH fixing hplip initscript

Comment 2 Tim Waugh 2006-01-05 11:22:31 UTC
Fixed package is 0.9.7-7.  Patch sent upstream.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.